This API allows to you to manage coupons.
- Get current user's value point balance
LiveOps API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
LiveOps is a toolkit for driving ongoing player engagement through promotions and personalized offers.
Use the API to manage the following features:
- Promotions — create and manage coupons, promo codes, discounts, and bonus campaigns.
- Personalization — specify the conditions for displaying the item catalog and applying promotions only for certain authorized users.
- Promotion limits — set a limit on how many times a promotion can be used by a user and configure scheduled resets for these limits.
- Reward chains & Value points — configure reward progressions tied to value point accumulation.
- Daily chains — set up recurring daily rewards to motivate regular logins.
- Offer chains — build sequential purchase offers with per-step pricing and free reward options.
- Upsell — a sales method in which the user is offered to buy an item with additional value.
The API is divided into the following groups:
Admin — calls for creating, updating, activating, and deleting campaigns and chain configurations. Authenticated via basic access authentication with your merchant or project credentials.Client — calls for retrieving available promotions, getting active chains, redeeming codes, and claiming rewards on behalf of authenticated end users. Authenticated via user JWT.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Request
Client endpoint. Gets the current user’s reward chains.
All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- https://store.xsolla.com/api/v2/project/{project_id}/user/reward_chain
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/reward_chain
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://store.xsolla.com/api/v2/project/44056/user/reward_chain?limit=50&offset=0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "has_more": false, "total_items_count": 1, "items": [ { … }, { … } ] }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- https://store.xsolla.com/api/v2/project/{project_id}/user/reward_chain/{reward_chain_id}/balance
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/reward_chain/{reward_chain_id}/balance
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://store.xsolla.com/api/v2/project/44056/user/reward_chain/101/balance \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "sku": "com.xsolla.value_point_1", "name": "Value point", "image_url": "https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg", "description": null, "long_description": null, "amount": 130, "is_clan": false }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- https://store.xsolla.com/api/v2/project/{project_id}/user/reward_chain/{reward_chain_id}/step/{step_id}/claim
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/reward_chain/{reward_chain_id}/step/{step_id}/claim
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://store.xsolla.com/api/v2/project/44056/user/reward_chain/101/step/120/claim \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'